# spec file for package pulseaudio-equalizer
#
# Copyright (c) 2011 Malcolm J Lewis <malcolmlewis@opensuse.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           pulseaudio-equalizer
Version:        2.7rev4
Release:        1.1
License:        GPL-3.0+
Summary:        15 Band Equalizer for PulseAudio
Url:            https://code.launchpad.net/~psyke83/+junk/pulseaudio-equalizer
Group:          Productivity/Multimedia/Sound/Mixers
#
# Source via bzr checkout script;
#!/bin/sh
#Name="pulseaudio-equalizer"
#Version="2.7"
#Release="4"
#bzr branch -r $Release lp:~psyke83/+junk/$Name
#mv $Name $Name-$Version'rev'$Release
#tar cjf $Name-$Version'rev'$Release.tar.bz2 $Name-$Version'rev'$Release
#
Source0:        %{name}-%{version}.tar.bz2
#Source1:        gnome-volume-control.svg
#PATCH-FIX-OPENSUSE pulseaudio-equalizer-various-fixes.patch malcolmlewis@opensuse.org -- Consolidated fedora patches
Patch0:         pulseaudio-equalizer-various-fixes.patch
#PATCH-FIX-OPENSUSE pulseaudio-equalizer-fix-desktop.patch malcolmlewis@opensuse.org -- Fix Icon and Categories in desktop file
Patch1:         pulseaudio-equalizer-fix-desktop.patch
BuildRequires:  hicolor-icon-theme
BuildRequires:  update-desktop-files
Requires:       ladspa-swh-plugins
Requires:       pulseaudio-utils >= 0.9.19
Requires:       python-gtk
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
PulseAudio Equalizer is a 15 band system wide equalizer, that means
any application that is using PulseAudio, will benefit from the sound
improvement.

%prep
%setup -q
%patch0
%patch1

%build

%install
cp -rfp usr %{buildroot}
%suse_update_desktop_file %{buildroot}%{_datadir}/applications/%{name}.desktop
 
%if 0%{?suse_version} > 1130

%post
%icon_theme_cache_post
%endif

%if 0%{?suse_version} > 1130

%postun
%icon_theme_cache_post
%endif

%clean
rm -rf '%{buildroot}'

%files
%defattr(-,root,root,-)
%doc debian/changelog debian/copyright
%{_bindir}/%{name}
%{_bindir}/%{name}-gtk
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}

%changelog
* Fri Aug 19 2011 malcolmlewis@opensuse.org
- Clean up desktop entry with pulseaudio-equalizer-fix-desktop
  patch.
* Thu Aug 18 2011 malcolmlewis@opensuse.org
- Initial build.
